## rarpd 0.981107

=== Makefile ===
CC=gcc
CFLAGS=-O2 -Wall -g $(DEFINES)

OBJ=rarpd.o ethernet.o

all: rarpd

rarpd: $(OBJ)

clean:
	rm -f $(OBJ) rarpd

=== debian/changelog ===
rarpd (0.981107-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/rarpd.service: add (Closes: #1039343)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 27 Mar 2025 17:11:32 +0100

rarpd (0.981107-9) unstable; urgency=low

  * debian/control: Standards 3.9.4, no changes were needed.
  * debian/init.d: No need to source '/lib/init/vars.sh'.
  * debian/rules: Add CPPFLAGS for fortified hardening.
  * Install upstream's only descriptive file README.
    + debian/rarpd.docs: New file.
  * Repair non-verbose logging messages.
    + debian/patches/015_notsock_and_debugging.diff: Updated.
  * Activate a functional option '-A'. (Closes: #710403)
    + debian/patches/017_respond_to_arp.diff: New file.
  * Improve the manual page on the subject above.
    + debian/patches/020_manual_page.diff: New file.
  * [lintian] Missing homepage and changelog.
    + debian/rarpd.lintian-overrides: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 28 Jun 2013 09:11:44 +0200

rarpd (0.981107-8) unstable; urgency=low

  * New maintainer. (Closes: #520268)
  * Standards-Version: 3.9.2.
    + debian/init.d: Modified and expanded with LSB functions.
    + Build depends on lsb-base.
    + debian/rarpd.default: New file.
  * Compatibility 8, build depends on debhelper (>= 8).
  * Migrate to source format "3.0 (quilt)".
    + Collect historic changes made on original source:
    + debian/patches/001_from_0.981107_4.diff: New file.
    + debian/patches/001_manual_page.diff: New file.
    + debian/patches/002_from_0.981107_6.diff: New file.
    + debian/patches/003_from_0.981107_7.diff: New file.
  * Remove references to package "update-cluster".
  * debian/control: Reworked description. (Closes: #630612)
    + Marking binary as "linux-any".
  * debian/copyright: Slight clarification and completion.
  * debian/rules: Rewrite using debhelper front-end "dh".
  * debian/watch: New file, only comments.
  * debian/NEWS: New file.
  * Improve portability and standards:
    + debian/patches/010_standard_conventions.diff: New file.
  * Debugging and invalid socket recovery (Closes: #627907):
    + debian/patches/015_notsock_and_debugging.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 19 Dec 2011 00:00:52 +0100

rarpd (0.981107-7.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #466973).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Mar 2008 12:44:48 +0200

rarpd (0.981107-7) unstable; urgency=low

  * Bug fix: "rarpd: missing binary-indep target in debian/rules (Policy
    4.9)", thanks to Aurelien Jarno (Closes: #395739).
  * warning fix: use socklen_t instead of int for recvfrom parmeter.
  * debian/rules: update debhelper compatibility level (DH_COMPAT) to 4.
  * Standards-Version: 3.7.2

 -- Junichi Uekawa <dancer@debian.org>  Thu, 23 Nov 2006 14:21:01 +0900

rarpd (0.981107-6) unstable; urgency=low

  * Bug fix: "rarpd: Can not be removed if daemon is not running?", thanks
    to Christopher Huhn (Closes: #237252).
  * Fix warnings.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 12 Mar 2004 22:48:24 +0900

rarpd (0.981107-5) unstable; urgency=low

  * Update packaging
  * Check Policy 3.5.7. It's compliant
  * Do no longer provide /usr/doc, please use /usr/share/doc

 -- Junichi Uekawa <dancer@debian.org>  Sun,  6 Oct 2002 18:46:19 +0900

rarpd (0.981107-4) unstable; urgency=low

  * support for update-cluster
  * migrate to debhelper version 3 from version 1.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 29 Jul 2001 02:10:35 +0900

rarpd (0.981107-3) unstable; urgency=low

  * new maintainer. (closes: #103705)
  * bumped up the standards-version to 3.5.5 and added build-depends
    for debhelper. I think this package only needs the standard tools
    to build

 -- Junichi Uekawa <dancer@debian.org>  Sat, 14 Jul 2001 08:10:26 +0900

rarpd (0.981107-2) unstable; urgency=low

  * Fixed segfault.

 -- Marco d'Itri <md@linux.it>  Sat, 23 Dec 2000 16:35:01 +0100

rarpd (0.981107-1) unstable; urgency=low

  * Initial Release.
  * Removed the ethernet.c file.

 -- Marco d'Itri <md@linux.it>  Fri, 11 Aug 2000 16:19:17 +0200

=== debian/control ===
Source: rarpd
Section: net
Priority: extra
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 8)

Package: rarpd
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Description: Reverse Address Resolution Protocol daemon
 RARP is a protocol which allows individual devices on a network
 to get their IP addresses assigned based on their MAC addresses.
 .
 You have use of this daemon only if you have on your local network
 machines like diskless Sun boxes, or other netbooting devices.

=== debian/rules ===
#!/usr/bin/make -f

SHELL+= -e

CPPFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS ?= -Wall $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS)

export CPPFLAGS CFLAGS LDFLAGS

PREFIX = /usr
export PREFIX

%:
	dh $@
